Subject: Term::ReadKey version 1.98
From: Kenneth Albanowski <[email-masked]>
Date: 31 May 1995 01:50:59 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc,comp.lang.perl

This is an announcement that version 1.98 of my Perl 5 module, 
"Term::ReadKey" has been released. 1.98 is a minor update that 
(hopefully) fixes some problems in using filehandles other then STDIN 
when referenced by globs.

---------------
What is Term::ReadKey?

 It's a perl5 module designed to allow easy access to terminal control
parameters, and a framework for non-blocking reads. In simpler terms, you
can use it to read a single key at a time, without waiting for a LF, and 
you can do background processing if a key hasn't been pressed yet.

---------------
On what systems can it be used?

 It's designed to make use of whatever terminal control capabilities are
available, from any of the "termio", "termios", or "sgtty" packages. A
perl script is used during installation to adapt to local sgtty
parameters, if necessary. Term::ReadKey was developed on Linux, and thus
has had access to a wide range of terminal packages, but due to it's
previously limited distribution, there may be systems where it does not
work well, or at all. It should work, though, and if it doesn't I'll try
to fix it. 

---------------
Where can I get it?

 ftp://numeric.adr.com/pub/perl/modules/TermReadKey-1.98.tar.Z

---------------
How do I install it?

 After installing Perl 5 (version 5.001e or later is preferable), unpack 
it in any directory you wish to, then run "perl Makefile.PL", and lastly 
"make". That should give you a fully working module, testable by "make 
test". Afterwards, you can install it into the system's perl directory by 
becoming root and running "make install".

Note that you cannot (currently) extract it into the "ext" directory 
during Perl configuration, and get properly installed. 

If you have portabilty problems, you can contact me, the author, at 
[email-masked]. 

--
Kenneth Albanowski ([email-masked], CIS: 70705,126)